Skip to main content
POST
/
v2
/
embedded-wallet-api
/
end-users
/
{userId}
/
solana
/
{address}
/
send
/
{asset}
curl --request POST \
  --url https://api.cdp.coinbase.com/platform/v2/embedded-wallet-api/end-users/{userId}/solana/{address}/send/{asset} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "ExXhNkgYf6efh7YyqDRVxPZuzafobao1A74drUdp8trd",
  "amount": "25.50",
  "network": "solana-devnet",
  "createRecipientAta": true,
  "walletSecretId": "e051beeb-7163-4527-a5b6-35e301529ff2"
}
'
{
  "transactionSignature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW"
}

Authorizations

Authorization
string
header
required

A JWT signed using the developer's own JWT private key (in the case of JWT authentication), or an end user JWT signed by CDP, encoded in base64. This is used for End User Account APIs.

Headers

X-Wallet-Auth
string

A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.

X-Idempotency-Key
string

An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.

Required string length: 1 - 128
X-Developer-Auth
string

A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.

Path Parameters

userId
string
required

The ID of the end user.

Pattern: ^[a-zA-Z0-9-]{1,100}$
address
string
required

The base58 encoded address of the Solana account to send USDC from. A blockchain address. Format varies by network (e.g., 0x-prefixed for EVM, base58 for Solana).

Required string length: 1 - 128
Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"

asset
enum<string>
required

The asset to send. Currently only "usdc" is supported. The symbol of the asset (e.g., eth, usd, usdc, usdt).

Available options:
usdc
Required string length: 1 - 42
Example:

"usd"

Query Parameters

projectID
string

The ID of the CDP Project. Required for end users authenticated using custom auth (i.e. a non-CDP JWT provider).

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
Example:

"8e03978e-40d5-43e8-bc93-6894a57f9324"

Body

application/json
to
string
required

The base58 encoded address of the recipient.

Required string length: 1 - 128
Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
Example:

"ExXhNkgYf6efh7YyqDRVxPZuzafobao1A74drUdp8trd"

amount
string
required

The amount of USDC to send as a decimal string (e.g., "1.5" or "25.50").

Required string length: 1 - 32
Example:

"1.50"

network
enum<string>
required

The Solana network to send USDC on.

Available options:
solana,
solana-devnet
Example:

"solana-devnet"

createRecipientAta
boolean

Whether to automatically create an Associated Token Account (ATA) for the recipient if it doesn't exist. When true, the sender pays the rent-exempt minimum to create the recipient's USDC ATA. When false, the transaction will fail if the recipient doesn't have a USDC ATA.

Example:

true

walletSecretId
string

Required when not using delegated signing. The ID of the Temporary Wallet Secret that was used to sign the X-Wallet-Auth Header.

Pattern: ^[a-zA-Z0-9-]{1,100}$
Example:

"e051beeb-7163-4527-a5b6-35e301529ff2"

useCdpSponsor
boolean

Whether transaction fees should be sponsored by CDP. When true, CDP sponsors the transaction fees on behalf of the end user. When false, the end user is responsible for paying the transaction fees.

Example:

true

Response

Successfully sent transaction.

transactionSignature
string
required

The base58 encoded transaction signature.

Example:

"5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW"